device_type: imx93-11x11-evk
job_name: {{ job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

actions:

- deploy:
    to: downloads
    images:
      firmware:
        url: https://gitlab.com/Linaro/blueprints/ci-artifacts/-/raw/main/imx-boot-imx93-11x11-lpddr4x-evk-sd.bin-flash_singleboot
      os:
        url: {{ os_url["trs-image-trs-qemuarm64.rootfs.wic.bz2"] }}
        compression: bz2
      {% for name, test_file in test_files: %}
      {{ name }}:
        url: {{ base_build_url }}/{{ test_file }}
      {% endfor %}
    postprocess:
      docker:
        image: debian
        timeout:
          minutes: 60
        steps:
          - 'apt-get update'
          - 'apt-get install -qy guestfish u-boot-tools'
          - 'guestfish --ro --add trs-image-trs-qemuarm64.rootfs.wic --mount /dev/sda1:/ copy-out /ledge-initramfs-trs-qemuarm64.rootfs.cpio.gz .'
          - 'mkimage -A arm64 -T ramdisk -d ledge-initramfs-trs-qemuarm64.rootfs.cpio.gz ledge-initramfs-trs-qemuarm64.rootfs.img'
          - 'guestfish --add trs-image-trs-qemuarm64.rootfs.wic --mount /dev/sda1:/ copy-in ledge-initramfs-trs-qemuarm64.rootfs.img /'

- deploy:
    to : uuu
    images:
      boot:
        url: downloads://imx-boot-imx93-11x11-lpddr4x-evk-sd.bin-flash_singleboot
      rootfs:
        url: downloads://trs-image-trs-qemuarm64.rootfs.wic
        format: ext4
        partition: 1
        overlays:
          lava: true

- boot:
    method: uuu
    commands :
      - bcu: reset usb
      - uuu: -b emmc_all {boot} {rootfs}
      - bcu: deinit
    timeout:
      minutes: 20

- boot:
    method: u-boot
    timeout:
      minutes: 45
    auto_login:
      login_prompt: 'login:'
      username: 'root'
    prompts:
      - root@(.*):[/~]#
    commands:
      - setenv fdtfile dtb/freescale/imx93-11x11-evk.dtb
      - setenv fdt_addr_r 0x87400000
      - setenv initrdfile ledge-initramfs-trs-qemuarm64.rootfs.img
      - setenv initrd_addr 0x87500000
      - setenv boot_os "load mmc ${mmcdev}:1 ${initrd_addr} ${initrdfile}; booti ${kernel_addr_r} ${initrd_addr} ${fdt_addr_r}"
      - run bootcmd

{% include "tests.yaml.jinja2" %}
